import { SearchM2OSelectFieldWidget } from '../../field';
import { IconGroup } from '../service/IconManageService';
export declare class IconGroupSelectWidget extends SearchM2OSelectFieldWidget {
    initialize(props: any): this;
    delayUpdateM2oValue: import("lodash").DebouncedFunc<() => void>;
    protected parentOnChangeWidgetGroup: ((val: IconGroup, notChange: boolean) => void) | undefined;
    change(value: any): void;
}
